Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class DocumentFile

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Document
          org.esupportail.portal.channels.CIntranet.beans.DocumentFile

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

public class DocumentFile
extends Document

DocumentFile
Document de type fichier
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Field Summary

Fields inherited from class org.esupportail.portal.channels.CIntranet.beans.Document
`FILE, LINK`

Constructor Summary
`DocumentFile()` Constructeur

Method Summary
`boolean` | `equals(java.lang.Object o)` Teste l'égalité de deux documents Override Object.equals() method
`java.lang.String` | `getExtension()` Retourne l'extension
`java.lang.String` | `getFile()` Retourne le nom du fichier
`void` | `setExtension(java.lang.String extension)` Positionne l'extension
`void` | `setFile(java.lang.String file)` Positionne le nom du fichier
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class org.esupportail.portal.channels.CIntranet.beans.Document
`compareTo, getAuthor, getDate, getDescription, getFolderid, getId, getIntranet, getName, getOrder, getType, getValidityDate, getValidityInput, isPendingDeletion, isPendingModification, isPerimed, isValid, isVisible, setAuthor, setDate, setDescription, setFolderid, setId, setIntranet, setName, setOrder, setPendingDeletion, setPendingModification, setType, setValid, setValidityDate, setVisible`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentFile

    public DocumentFile()

  Constructeur

Method Detail

### getFile

    public java.lang.String getFile()

  Retourne le nom du fichier

  Returns:
    file Le nom du fichier

### setFile

    public void setFile(java.lang.String file)

  Positionne le nom du fichier

  Parameters:
    `file` - Le nom du fichier

### getExtension

    public java.lang.String getExtension()

  Retourne l'extension

  Returns:
    extension L'extension

### setExtension

    public void setExtension(java.lang.String extension)

  Positionne l'extension

  Parameters:
    `extension` - L'extension

### equals

    public boolean equals(java.lang.Object o)

  Teste l'égalité de deux documents Override Object.equals() method

  Specified by:
    `equals` in class `Document`
  Parameters:
    `o` - Objet à tester

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Specified by:
    `toXMLString` in class `Document`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD